---
updatedAt: 2026-08-13T08:09:25.000Z
agentTools:
  projectIndex: https://docs.durianpay.id/llms.txt
---

# Bank Transfer API

The following endpoint to submit bank transfer pay outs

> Bank Transfer API will transfer the fund to the destination account based on beneficiaryBankCode and beneficiaryAddress only without considering beneficiaryAccountName. To ensure correct destination please verify the beneficiaryAccountName using Bank Account Inquiry API.

<Callout icon="📘" theme="info">
  ### **Using RTGS for high value transfers**

  Set `transferMethod` to `rtgs` inside `additionalInfo` to disburse amounts of IDR 250,000,000 and above. RTGS transfers behave differently from BI-FAST:

  - Not real-time. A `2001800` response confirms Durianpay accepted the request, not that funds reached the beneficiary.
  - Poll the Bank Transfer Status Inquiry API or wait for the disbursement webhook to receive the final status. Bank Indonesia's SLA for RTGS settlement is 4 hours.
</Callout>

<Callout icon="⚠️" theme="warn">
  ### originatorInfos becomes mandatory, 14 September 2026

  Upcoming change, effective **Monday, 14 September 2026:**

  Originator information becomes mandatory on this endpoint. From that date, requests that do not include originatorCustomerName, originatorIdentityType, originatorIdentityNo, and originatorCountry will be rejected with response code 4001802, and no disbursement will be created. See Originator Information below in the Body Request section.
</Callout>

# OpenAPI definition

```json
{
  "openapi": "3.1.0",
  "info": {
    "title": "durianpay-snap-api",
    "version": "1.0"
  },
  "servers": [
    {
      "url": "https://api.durianpay.id/v1.0"
    }
  ],
  "components": {
    "securitySchemes": {
      "sec0": {
        "type": "apiKey",
        "in": "header",
        "name": "Content-Type",
        "x-default": "application/json"
      },
      "sec1": {
        "type": "apiKey",
        "in": "header",
        "name": "X-TIMESTAMP",
        "x-default": "2024-12-01T18:54:57+07:00"
      },
      "sec2": {
        "type": "apiKey",
        "in": "header",
        "name": "Authorization",
        "x-bearer-format": "bearer",
        "x-default": ""
      },
      "sec3": {
        "type": "apiKey",
        "in": "header",
        "name": "X-SIGNATURE",
        "x-default": ""
      },
      "sec4": {
        "type": "apiKey",
        "in": "header",
        "name": "X-PARTNER-ID",
        "x-default": ""
      },
      "sec5": {
        "type": "apiKey",
        "in": "header",
        "name": "X-EXTERNAL-ID",
        "x-default": ""
      },
      "sec6": {
        "type": "apiKey",
        "in": "header",
        "name": "CHANNEL-ID",
        "x-default": ""
      }
    }
  },
  "security": [
    {
      "sec0": [],
      "sec1": [],
      "sec2": [],
      "sec3": [],
      "sec4": [],
      "sec5": [],
      "sec6": []
    }
  ],
  "paths": {
    "/transfer-interbank": {
      "post": {
        "summary": "Bank Transfer API",
        "description": "The following endpoint to submit bank transfer pay outs",
        "operationId": "bank-transfer-api",
        "parameters": [
          {
            "name": "Content-Type",
            "in": "header",
            "description": "Indicates the media type of the resource. value: application/json",
            "required": true,
            "schema": {
              "type": "string"
            }
          },
          {
            "name": "X-TIMESTAMP",
            "in": "header",
            "description": "Timestamp in ISO8601 format, Example: 2024-05-14T18:54:57+07:00",
            "required": true,
            "schema": {
              "type": "string"
            }
          },
          {
            "name": "Authorization",
            "in": "header",
            "description": "Represents Access Token (B2B) of a request; string starts with keyword “Bearer ” followed by Access Token (B2B)",
            "schema": {
              "type": "string"
            }
          },
          {
            "name": "X-SIGNATURE",
            "in": "header",
            "description": "Signature generated by encrypting HTTP method, relative path, access token, minified request body, and timestamp",
            "required": true,
            "schema": {
              "type": "string"
            }
          },
          {
            "name": "X-PARTNER-ID",
            "in": "header",
            "description": "Unique ID for a partner given by Durianpay upon completing registration. Its value is same as the X-CLIENT-KEY",
            "required": true,
            "schema": {
              "type": "string"
            }
          },
          {
            "name": "X-EXTERNAL-ID",
            "in": "header",
            "description": "Unique messaging reference identifier generated by merchant and should be unique within the same day",
            "required": true,
            "schema": {
              "type": "string"
            }
          },
          {
            "name": "CHANNEL-ID",
            "in": "header",
            "description": "Device identification on which the API services is currently being accessed by the merchant. Possible value: 95221",
            "required": true,
            "schema": {
              "type": "string"
            }
          }
        ],
        "requestBody": {
          "content": {
            "application/json": {
              "schema": {
                "type": "object",
                "required": [
                  "partnerReferenceNo",
                  "amount",
                  "beneficiaryAccountName",
                  "beneficiaryAccountNo",
                  "beneficiaryBankCode",
                  "sourceAccountNo",
                  "transactionDate",
                  "originatorInfos"
                ],
                "properties": {
                  "partnerReferenceNo": {
                    "type": "string",
                    "description": "Unique transaction identifier on merchant system which assigned to each transaction"
                  },
                  "amount": {
                    "type": "object",
                    "description": "JSON object with keys: value and currency. Example: {\"value\": \"20000.00\", \"currency\": \"IDR\"}",
                    "required": [
                      "value",
                      "currency"
                    ],
                    "properties": {
                      "value": {
                        "type": "string",
                        "description": "String representing value of the transaction : \"20000.00\"."
                      },
                      "currency": {
                        "type": "string",
                        "description": "Currency of the transaction: \"IDR\""
                      }
                    }
                  },
                  "beneficiaryAccountName": {
                    "type": "string",
                    "description": "The name of the recipient account."
                  },
                  "beneficiaryAccountNo": {
                    "type": "string",
                    "description": "The account number of the recipient."
                  },
                  "beneficiaryBankCode": {
                    "type": "string",
                    "description": "The bank code of the account, you get the list from fetch bank list API"
                  },
                  "beneficiaryAddress": {
                    "type": "string",
                    "description": "Address of transfer destination"
                  },
                  "beneficiaryBankName": {
                    "type": "string",
                    "description": "Name of the bank destination. example: Bank BRI"
                  },
                  "beneficiaryEmail": {
                    "type": "string",
                    "description": "Email address of the destination"
                  },
                  "currency": {
                    "type": "string",
                    "description": "Currency of the transaction i.e. IDR"
                  },
                  "customerReference": {
                    "type": "string",
                    "description": "Reference Number / No Referral / Transaction ID"
                  },
                  "sourceAccountNo": {
                    "type": "string",
                    "description": "Identifier of source account. its value is the same as merchant id"
                  },
                  "transactionDate": {
                    "type": "string",
                    "description": "Transaction date in ISO8601 format. Example: 2019-07-03T12:08:56-07:00"
                  },
                  "originatorInfos": {
                    "type": "array",
                    "description": "Information identifying the originator, meaning the party on whose behalf the funds are being transferred. Required on every request from 14 September 2026, under Article 8 paragraph 5 of Law No. 3 of 2011 concerning Fund Transfers and related PPATK provisions. Submit the details of whichever party is the true sender of the funds: your end-customer where you are disbursing funds belonging to them, or your own company where you are disbursing your own funds. You do not need to declare which applies.",
                    "items": {
                      "properties": {
                        "originatorCustomerName": {
                          "type": "string",
                          "description": "The legal name of the originator. For an individual, their legal name exactly as stated on their identity document. For a company or institution, its legal business name exactly as stated on its company registration documents. Do not submit nicknames, preferred names, trading names, brand names, or abbreviations."
                        },
                        "originatorCustomerNo": {
                          "type": "string",
                          "description": "The originator's bank account number, where you hold it."
                        },
                        "originatorBankCode": {
                          "type": "string",
                          "description": "The bank code of the originator's account, as a Bank Indonesia ATM code or SWIFT code, for example 014 for BCA."
                        }
                      },
                      "required": [
                        "originatorCustomerName"
                      ],
                      "type": "object"
                    }
                  },
                  "additionalInfo": {
                    "type": "object",
                    "description": "The field for additional information. JSON object with keys: deviceId, channel, transferMethod and originatorAdditionalInfos. Example: {\"deviceId\": \"1234567\", \"channel\": \"mobilephone\", \"transferMethod\": \"rtgs\"}",
                    "properties": {
                      "deviceId": {
                        "type": "string",
                        "description": "device id of the request source"
                      },
                      "channel": {
                        "type": "string",
                        "description": "channel of the request source"
                      },
                      "originatorAdditionalInfos": {
                        "type": "object",
                        "description": "Part of additionalInfo object. The details of disbursement originator.",
                        "properties": {
                          "originatorIdentityType": {
                            "type": "string",
                            "description": "The type of identity document held by the originator. Permitted values: national_id (Indonesian national identity card, NIK), passport, company_id (a company or institution, identified by its NIB if registered in Indonesia, or by its company registration number from its country of registration if registered elsewhere).",
                            "enum": [
                              "passport",
                              "company_id",
                              "national_id"
                            ],
                            "default": "nat_id"
                          },
                          "originatorIdentityNo": {
                            "type": "string",
                            "description": "The originator's identity number. Where originatorIdentityType is national_id, the value must be numeric. Where it is passport or company_id, both letters and numbers are accepted, since passport numbers and non-Indonesian company registration numbers commonly contain letters. No minimum or maximum length is enforced."
                          },
                          "originatorCountry": {
                            "type": "string",
                            "description": "The originator's country, as a two-letter ISO 3166-1 alpha-2 code, for example ID for Indonesia or SG for Singapore.\n\nFor the full list of country codes, please refer to this website: \nhttps://www.iban.com/country-codes"
                          },
                          "originatorJob": {
                            "type": "string",
                            "description": "The job of the sender. Valid values: 'company', 'entrepreneur', 'private_employee', 'government_employee', 'foundation_employee' (non-profit employees), 'housewife', 'others' (uncategorized jobs)."
                          },
                          "originatorPlaceOfBirth": {
                            "type": "string",
                            "description": "The place of birth of the originator."
                          },
                          "originatorDateOfBirth": {
                            "type": "string",
                            "description": "The date of birth of the originator in YYYY-MM-DD format."
                          },
                          "originatorAddress": {
                            "type": "string",
                            "description": "The address of the originator."
                          }
                        },
                        "required": [
                          "originatorIdentityType",
                          "originatorIdentityNo",
                          "originatorCountry"
                        ]
                      },
                      "transferMethod": {
                        "type": "string",
                        "description": "The transfer rail used to execute the disbursement.\n\nAccepted values:\nbifast: real-time transfer. This is the default.\nrtgs: high value transfer settled via RTGS, which is not real-time.\n\nIf the field is omitted or sent empty, the request defaults to bifast.",
                        "default": "bifast",
                        "enum": [
                          "bifast",
                          "rtgs"
                        ]
                      }
                    },
                    "required": [
                      "originatorAdditionalInfos"
                    ]
                  }
                }
              }
            }
          }
        },
        "responses": {
          "200": {
            "description": "200",
            "content": {
              "application/json": {
                "examples": {
                  "OK": {
                    "value": {
                      "additionalInfo": {
                        "channel": "mobilephone",
                        "deviceId": "12345679237",
                        "transferMethod": "RTGS",
                        "originatorAdditionalInfos": {
                          "originatorIdentityType": "nat_id",
                          "originatorIdentityNo": "3175031234560002",
                          "originatorCountry": "ID"
                        }
                      },
                      "originatorInfos": [
                        {
                          "originatorCustomerName": "Budi Santoso"
                        }
                      ],
                      "amount": {
                        "currency": "IDR",
                        "value": "500000000.00"
                      },
                      "beneficiaryAccountNo": "9999119",
                      "beneficiaryBankCode": "014",
                      "partnerReferenceNo": "31",
                      "referenceNo": "dis_item_Qfo4reWNAy2044",
                      "responseCode": "2001800",
                      "responseMessage": "Successful",
                      "sourceAccountNo": "mer_MsCtIPhqRc8045"
                    }
                  }
                },
                "schema": {
                  "type": "object",
                  "properties": {
                    "additionalInfo": {
                      "type": "object",
                      "properties": {
                        "channel": {
                          "type": "string",
                          "example": "mobilephone"
                        },
                        "deviceId": {
                          "type": "string",
                          "example": "12345679237"
                        },
                        "originatorAdditionalInfos": {
                          "type": "object",
                          "properties": {
                            "originatorIdentityType": {
                              "type": "string",
                              "example": "national_id"
                            },
                            "originatorIdentityNo": {
                              "type": "string",
                              "example": "1234567890"
                            },
                            "originatorAddress": {
                              "type": "string",
                              "example": "jakarta"
                            },
                            "originatorCountry": {
                              "type": "string",
                              "example": "ID"
                            },
                            "originatorDateOfBirth": {
                              "type": "string",
                              "example": "1990-01-01"
                            },
                            "originatorJob": {
                              "type": "string",
                              "example": "company"
                            },
                            "originatorPlaceOfBirth": {
                              "type": "string",
                              "example": "jakarta indonesia"
                            }
                          }
                        }
                      }
                    },
                    "originatorInfos": {
                      "type": "array",
                      "items": {
                        "type": "object",
                        "properties": {
                          "originatorBankCode": {
                            "type": "string",
                            "example": "002"
                          },
                          "originatorCustomerName": {
                            "type": "string",
                            "example": "Iin"
                          },
                          "originatorCustomerNo": {
                            "type": "string",
                            "example": "99901000003301"
                          }
                        }
                      }
                    },
                    "amount": {
                      "type": "object",
                      "properties": {
                        "currency": {
                          "type": "string",
                          "example": "IDR"
                        },
                        "value": {
                          "type": "string",
                          "example": "12345678.00"
                        }
                      }
                    },
                    "beneficiaryAccountNo": {
                      "type": "string",
                      "example": "888801000003301"
                    },
                    "beneficiaryBankCode": {
                      "type": "string",
                      "example": "002"
                    },
                    "partnerReferenceNo": {
                      "type": "string",
                      "example": "111111111"
                    },
                    "referenceNo": {
                      "type": "string",
                      "example": "dis_item_dbWnShFKcL"
                    },
                    "responseCode": {
                      "type": "string",
                      "example": "2001800"
                    },
                    "responseMessage": {
                      "type": "string",
                      "example": "Successful"
                    },
                    "sourceAccountNo": {
                      "type": "string",
                      "example": "12312123"
                    }
                  }
                }
              }
            }
          },
          "202": {
            "description": "202",
            "content": {
              "application/json": {
                "examples": {
                  "Accepted": {
                    "value": "{\n    \"additionalInfo\": {\n        \"channel\": \"mobilephone\",\n        \"deviceId\": \"12345679237\",\n        \"originatorAdditionalInfos\": {\n           \"originatorIdentityType\": \"national_id\",\n           \"originatorIdentityNo\": \"1234567890\",\n           \"originatorAddress\": \"jakarta\",\n           \"originatorCountry\": \"ID\",\n           \"originatorDateOfBirth\": \"1990-01-01\",\n           \"originatorJob\": \"company\",\n           \"originatorPlaceOfBirth\": \"jakarta indonesia\"\n        }\n    },\n    \"originatorInfos\": [\n     {\n       \"originatorBankCode\": \"002\",\n       \"originatorCustomerName\": \"Iin\",\n       \"originatorCustomerNo\": \"99901000003301\"\n     }\n    ],\n    \"amount\": {\n        \"currency\": \"IDR\",\n        \"value\": \"12345678.00\"\n    },\n    \"beneficiaryAccountNo\": \"888801000003301\",\n    \"beneficiaryBankCode\": \"002\",\n    \"partnerReferenceNo\": \"111111111\",\n    \"referenceNo\": \"dis_item_HeKNJanvYB\",\n    \"responseCode\": \"2021800\",\n    \"responseMessage\": \"Request In Progress\",\n    \"sourceAccountNo\": \"12312123\"\n}"
                  }
                },
                "schema": {
                  "type": "object",
                  "properties": {
                    "additionalInfo": {
                      "type": "object",
                      "properties": {
                        "channel": {
                          "type": "string",
                          "example": "mobilephone"
                        },
                        "deviceId": {
                          "type": "string",
                          "example": "12345679237"
                        },
                        "originatorAdditionalInfos": {
                          "type": "object",
                          "properties": {
                            "originatorIdentityType": {
                              "type": "string",
                              "example": "national_id"
                            },
                            "originatorIdentityNo": {
                              "type": "string",
                              "example": "1234567890"
                            },
                            "originatorAddress": {
                              "type": "string",
                              "example": "jakarta"
                            },
                            "originatorCountry": {
                              "type": "string",
                              "example": "ID"
                            },
                            "originatorDateOfBirth": {
                              "type": "string",
                              "example": "1990-01-01"
                            },
                            "originatorJob": {
                              "type": "string",
                              "example": "company"
                            },
                            "originatorPlaceOfBirth": {
                              "type": "string",
                              "example": "jakarta indonesia"
                            }
                          }
                        }
                      }
                    },
                    "originatorInfos": {
                      "type": "array",
                      "items": {
                        "type": "object",
                        "properties": {
                          "originatorBankCode": {
                            "type": "string",
                            "example": "002"
                          },
                          "originatorCustomerName": {
                            "type": "string",
                            "example": "Iin"
                          },
                          "originatorCustomerNo": {
                            "type": "string",
                            "example": "99901000003301"
                          }
                        }
                      }
                    },
                    "amount": {
                      "type": "object",
                      "properties": {
                        "currency": {
                          "type": "string",
                          "example": "IDR"
                        },
                        "value": {
                          "type": "string",
                          "example": "12345678.00"
                        }
                      }
                    },
                    "beneficiaryAccountNo": {
                      "type": "string",
                      "example": "888801000003301"
                    },
                    "beneficiaryBankCode": {
                      "type": "string",
                      "example": "002"
                    },
                    "partnerReferenceNo": {
                      "type": "string",
                      "example": "111111111"
                    },
                    "referenceNo": {
                      "type": "string",
                      "example": "dis_item_HeKNJanvYB"
                    },
                    "responseCode": {
                      "type": "string",
                      "example": "2021800"
                    },
                    "responseMessage": {
                      "type": "string",
                      "example": "Request In Progress"
                    },
                    "sourceAccountNo": {
                      "type": "string",
                      "example": "12312123"
                    }
                  }
                }
              }
            }
          },
          "400": {
            "description": "400",
            "content": {
              "application/json": {
                "examples": {
                  "Bad Request - Invalid Mandatory Field": {
                    "value": "{\n    \"responseCode\": \"4001802\",\n    \"responseMessage\": \"Invalid Mandatory Field partnerReferenceNo, amount.value, amount.currency, beneficiaryAccountName, beneficiaryAccountNo, beneficiaryBankCode, sourceAccountNo, transactionDate\"\n}"
                  },
                  "Bad Request - Invalid Field Format": {
                    "value": "{\n    \"responseCode\": \"4001801\",\n    \"responseMessage\": \"Invalid Field Format partnerReferenceNo, amount.value, amount.currency, beneficiaryAccountName, beneficiaryAccountNo, beneficiaryBankCode, sourceAccountNo, transactionDate\"\n}"
                  },
                  "Bad Request - Missing Header": {
                    "value": "{\n    \"responseCode\": \"4001802\",\n    \"responseMessage\": \"Mandatory Field Missing\"\n}"
                  },
                  "Bad Request - Invalid Mandatory Amount ": {
                    "summary": "Bad Request - Invalid Mandatory Amount ",
                    "value": {
                      "responseCode": "4001802",
                      "responseMessage": "Invalid Mandatory Field amount"
                    }
                  }
                },
                "schema": {
                  "oneOf": [
                    {
                      "title": "Bad Request - Invalid Mandatory Field",
                      "type": "object",
                      "properties": {
                        "responseCode": {
                          "type": "string",
                          "example": "4001802"
                        },
                        "responseMessage": {
                          "type": "string",
                          "example": "Invalid Mandatory Field partnerReferenceNo, amount.value, amount.currency, beneficiaryAccountName, beneficiaryAccountNo, beneficiaryBankCode, sourceAccountNo, transactionDate"
                        }
                      }
                    },
                    {
                      "title": "Bad Request - Invalid Field Format",
                      "type": "object",
                      "properties": {
                        "responseCode": {
                          "type": "string",
                          "example": "4001801"
                        },
                        "responseMessage": {
                          "type": "string",
                          "example": "Invalid Field Format partnerReferenceNo, amount.value, amount.currency, beneficiaryAccountName, beneficiaryAccountNo, beneficiaryBankCode, sourceAccountNo, transactionDate"
                        }
                      }
                    },
                    {
                      "title": "Bad Request - Missing Header",
                      "type": "object",
                      "properties": {
                        "responseCode": {
                          "type": "string",
                          "example": "4001802"
                        },
                        "responseMessage": {
                          "type": "string",
                          "example": "Mandatory Field Missing"
                        }
                      }
                    }
                  ]
                }
              }
            }
          },
          "401": {
            "description": "401",
            "content": {
              "application/json": {
                "examples": {
                  "Unauthorized - Invalid Token": {
                    "value": "{\n    \"responseCode\": \"4011801\",\n    \"responseMessage\": \"Invalid Token (B2B)\"\n}"
                  },
                  "Unauthorized - Invalid Signature": {
                    "value": "{\n    \"responseCode\": \"4011800\",\n    \"responseMessage\": \"Unauthorized Signature\"\n}"
                  }
                },
                "schema": {
                  "oneOf": [
                    {
                      "title": "Unauthorized - Invalid Token",
                      "type": "object",
                      "properties": {
                        "responseCode": {
                          "type": "string",
                          "example": "4011801"
                        },
                        "responseMessage": {
                          "type": "string",
                          "example": "Invalid Token (B2B)"
                        }
                      }
                    },
                    {
                      "title": "Unauthorized - Invalid Signature",
                      "type": "object",
                      "properties": {
                        "responseCode": {
                          "type": "string",
                          "example": "4011800"
                        },
                        "responseMessage": {
                          "type": "string",
                          "example": "Unauthorized Signature"
                        }
                      }
                    }
                  ]
                }
              }
            }
          },
          "409": {
            "description": "409",
            "content": {
              "application/json": {
                "examples": {
                  "Result": {
                    "value": "{\n    \"responseCode\": \"4091800\",\n    \"responseMessage\": \"Conflict\"\n}"
                  },
                  "Conflict - Duplicate partnerReferenceNo": {
                    "value": "{\n    \"responseCode\": \"4091801\",\n    \"responseMessage\": \"Duplicate partnerReferenceNo\"\n}"
                  }
                },
                "schema": {
                  "oneOf": [
                    {
                      "type": "object",
                      "properties": {
                        "responseCode": {
                          "type": "string",
                          "example": "4091800"
                        },
                        "responseMessage": {
                          "type": "string",
                          "example": "Conflict"
                        }
                      }
                    },
                    {
                      "title": "Conflict - Duplicate partnerReferenceNo",
                      "type": "object",
                      "properties": {
                        "responseCode": {
                          "type": "string",
                          "example": "4091801"
                        },
                        "responseMessage": {
                          "type": "string",
                          "example": "Duplicate partnerReferenceNo"
                        }
                      }
                    }
                  ]
                }
              }
            }
          },
          "500": {
            "description": "500",
            "content": {
              "application/json": {
                "examples": {
                  "Internal Server Error": {
                    "value": "{\n    \"responseCode\": \"5001801\",\n    \"responseMessage\": \"Internal Server Error\"\n}"
                  }
                },
                "schema": {
                  "type": "object",
                  "properties": {
                    "responseCode": {
                      "type": "string",
                      "example": "5001801"
                    },
                    "responseMessage": {
                      "type": "string",
                      "example": "Internal Server Error"
                    }
                  }
                }
              }
            }
          },
          "504": {
            "description": "504",
            "content": {
              "text/plain": {
                "examples": {
                  "Gateway Timeout": {
                    "value": "{\n    \"responseCode\": \"5041800\",\n    \"responseMessage\": \"Timeout\"\n}"
                  }
                },
                "schema": {
                  "type": "object",
                  "properties": {
                    "responseCode": {
                      "type": "string",
                      "example": "5041800"
                    },
                    "responseMessage": {
                      "type": "string",
                      "example": "Timeout"
                    }
                  }
                }
              }
            }
          }
        },
        "deprecated": false,
        "x-readme": {
          "code-samples": [
            {
              "language": "curl",
              "code": "curl --location 'https://api.durianpay.id/v1.0/transfer-interbank' \\\n--header 'X-TIMESTAMP: 2024-05-14T18:54:57+07:00' \\\n--header 'X-SIGNATURE: pCA+q832pxHnTPm1Kdbfu1am37J9XFeGH13JGYqHv7Ww4Tb3Hrc5xRew+4y2tN4wiAPnHmvXcJ1Tyf94jK5gHQ==' \\\n--header 'X-PARTNER-ID: partner_id' \\\n--header 'X-EXTERNAL-ID: random_external_id' \\\n--header 'CHANNEL-ID: 95221' \\\n--header 'Content-Type: application/json' \\\n--header 'Authorization: Bearer eyJhbGciOiJIUzI1NiIsInR5cCI6IkpXVCJ9...' \\\n--data '{\n    \"partnerReferenceNo\": \"111111111\",\n    \"amount\": {\n        \"value\": \"500000000.00\",\n        \"currency\": \"IDR\"\n    },\n    \"beneficiaryAccountName\": \"Dummy Name\",\n    \"beneficiaryAccountNo\": \"888801000003301\",\n    \"beneficiaryAddress\": \"Palembang\",\n    \"beneficiaryBankCode\": \"002\",\n    \"beneficiaryBankName\": \"Bank BRI\",\n    \"beneficiaryEmail\": \"yories.yolanda@work.bri.co.id\",\n    \"currency\": \"IDR\",\n    \"customerReference\": \"10052019\",\n    \"sourceAccountNo\": \"mer_xxxxxxx\",\n    \"transactionDate\": \"2019-07-03T12:08:56-07:00\",\n    \"originatorInfos\": [\n        {\n            \"originatorCustomerNo\": \"99901000003301\",\n            \"originatorCustomerName\": \"Iin\",\n            \"originatorBankCode\": \"002\"\n        }\n    ],\n    \"additionalInfo\": {\n        \"deviceId\": \"12345679237\",\n        \"channel\": \"mobilephone\",\n        \"transferMethod\": \"rtgs\",\n        \"originatorAdditionalInfos\": {\n            \"originatorIdentityType\": \"national_id\",\n            \"originatorIdentityNo\": \"1234567890\",\n            \"originatorCountry\": \"ID\",\n            \"originatorJob\": \"company\",\n            \"originatorDateOfBirth\": \"1990-01-01\",\n            \"originatorAddress\": \"jakarta\",\n            \"originatorPlaceOfBirth\": \"jakarta indonesia\"\n        }\n    }\n}'"
            },
            {
              "language": "python",
              "code": "import requests\n\nurl = \"https://api.durianpay.id/v1.0/transfer-interbank\"\nheaders = {\n    \"X-TIMESTAMP\": \"2024-05-14T18:54:57+07:00\",\n    \"X-SIGNATURE\": \"pCA+q832pxHnTPm1Kdbfu1am37J9XFeGH13JGYqHv7Ww4Tb3Hrc5xRew+4y2tN4wiAPnHmvXcJ1Tyf94jK5gHQ==\",\n    \"X-PARTNER-ID\": \"partner_id\",\n    \"X-EXTERNAL-ID\": \"random_external_id\",\n    \"CHANNEL-ID\": \"channel_id\",\n    \"Content-Type\": \"application/json\",\n    \"Authorization\": \"Bearer eyJhbGciOiJIUzI1NiIsInR5cCI6IkpXVCJ9.eyJpc3MiOiJEdXJpYW4gTW9uZXkiLCJleHAiOjE3MTU1OTM3NTYsImlhdCI\"\n}\ndata = {\n    \"partnerReferenceNo\": \"111111111\",\n    \"amount\": {\n        \"value\": \"20000.00\",\n        \"currency\": \"IDR\"\n    },\n    \"beneficiaryAccountName\": \"Dummy Name\",\n    \"beneficiaryAccountNo\": \"888801000003301\",\n    \"beneficiaryAddress\": \"Palembang\",\n    \"beneficiaryBankCode\": \"002\",\n    \"beneficiaryBankName\": \"Bank BRI\",\n    \"beneficiaryEmail\": \"yories.yolanda@work.bri.co.id\",\n    \"currency\": \"IDR\",\n    \"customerReference\": \"10052019\",\n    \"sourceAccountNo\": \"mer_xxxxxxx\",\n    \"transactionDate\": \"2019-07-03T12:08:56-07:00\",\n    \"originatorInfos\": [\n      {\n        \"originatorCustomerNo\": \"99901000003301\",\n        \"originatorCustomerName\": \"Iin\",\n        \"originatorBankCode\": \"002\"\n      }\n    ],\n    \"additionalInfo\": {\n        \"deviceId\": \"12345679237\",\n        \"channel\": \"mobilephone\",\n        \"originatorAdditionalInfos\": {\n          \"originatorIdentityType\": \"national_id\",\n          \"originatorIdentityNo\": \"1234567890\",\n          \"originatorCountry\": \"ID\",\n          \"originatorJob\": \"company\",\n          \"originatorDateOfBirth\": \"1990-01-01\",\n          \"originatorAddress\": \"jakarta\",\n          \"originatorPlaceOfBirth\": \"jakarta indonesia\"\n        }\n    }\n}\n\nresponse = requests.post(url, headers=headers, json=data)\nprint(response.text)"
            },
            {
              "language": "java",
              "code": "OkHttpClient client = new OkHttpClient();\n\nMediaType mediaType = MediaType.parse(\"application/json\");\nRequestBody body = RequestBody.create(mediaType, \"{\\n\" +\n\"    \\\"partnerReferenceNo\\\": \\\"111111111\\\",\\n\" +\n\"    \\\"amount\\\": {\\n\" +\n\"        \\\"value\\\": \\\"12345678\\\",\\n\" +\n\"        \\\"currency\\\": \\\"IDR\\\"\\n\" +\n\"    },\\n\" +\n\"    \\\"beneficiaryAccountName\\\": \\\"Dummy Name\\\",\\n\" +\n\"    \\\"beneficiaryAccountNo\\\": \\\"888801000003301\\\",\\n\" +\n\"    \\\"beneficiaryAddress\\\": \\\"Palembang\\\",\\n\" +\n\"    \\\"beneficiaryBankCode\\\": \\\"002\\\",\\n\" +\n\"    \\\"beneficiaryBankName\\\": \\\"Bank BRI\\\",\\n\" +\n\"    \\\"beneficiaryEmail\\\": \\\"yories.yolanda@work.bri.co.id\\\",\\n\" +\n\"    \\\"currency\\\": \\\"IDR\\\",\\n\" +\n\"    \\\"customerReference\\\": \\\"10052019\\\",\\n\" +\n\"    \\\"sourceAccountNo\\\": \\\"mer_xxxxxxx\\\",\\n\" +\n\"    \\\"transactionDate\\\": \\\"2019-07-03T12:08:56-07:00\\\",\\n\" +\n\"    \\\"originatorInfos\\\": [\\n\" +\n\"       {\\n\" +\n\"           \\\"originatorCustomerNo\\\": \\\"99901000003301\\\",\\n\" +\n\"           \\\"originatorCustomerName\\\": \\\"Iin\\\",\\n\" +\n\"           \\\"originatorBankCode\\\": \\\"002\\\"\\n\" +\n\"       }\\n\" +\n\"    ],\\n\" +\n\"    \\\"additionalInfo\\\": {\\n\" +\n\"        \\\"deviceId\\\": \\\"12345679237\\\",\\n\" +\n\"        \\\"channel\\\": \\\"mobilephone\\\",\\n\" +\n\"        \\\"originatorAdditionalInfos\\\": {\\n\" +\n\"           \\\"originatorIdentityType\\\": \\\"national_id\\\",\\n\" +\n\"           \\\"originatorIdentityNo\\\": \\\"1234567890\\\",\\n\" +\n\"           \\\"originatorCountry\\\": \\\"ID\\\",\\n\" +\n\"           \\\"originatorJob\\\": \\\"company\\\",\\n\" +\n\"           \\\"originatorDateOfBirth\\\": \\\"1990-01-01\\\",\\n\" +\n\"           \\\"originatorAddress\\\": \\\"jakarta\\\",\\n\" +\n\"           \\\"originatorPlaceOfBirth\\\": \\\"jakarta indonesia\\\"\\n\" +\n\"        }\\n\" +\n\"    }\\n\" +\n\"}\");\n\nRequest request = new Request.Builder()\n    .url(\"https://api.durianpay.id/v1.0/transfer-interbank\")\n    .post(body)\n    .addHeader(\"X-TIMESTAMP\", \"2024-05-14T18:54:57+07:00\")\n    .addHeader(\"X-SIGNATURE\", \"pCA+q832pxHnTPm1Kdbfu1am37J9XFeGH13JGYqHv7Ww4Tb3Hrc5xRew+4y2tN4wiAPnHmvXcJ1Tyf94jK5gHQ==\")\n    .addHeader(\"X-PARTNER-ID\", \"partner_id\")\n    .addHeader(\"X-EXTERNAL-ID\", \"random_external_id\")\n    .addHeader(\"CHANNEL-ID\", \"channel_id\")\n    .addHeader(\"Content-Type\", \"application/json\")\n    .addHeader(\"Authorization\", \"Bearer eyJhbGciOiJIUzI1NiIsInR5cCI6IkpXVCJ9.eyJpc3MiOiJEdXJpYW4gTW9uZXkiLCJleHAiOjE3MTU1OTM3NTYsImlhdCI\")\n    .build();\n\nResponse response = client.newCall(request).execute();\nSystem.out.println(response.body().string());"
            },
            {
              "language": "javascript",
              "code": "const request = require('request');\n\nconst options = {\n  method: 'POST',\n  url: 'https://api.durianpay.id/v1.0/transfer-interbank',\n  headers: {\n    'X-TIMESTAMP': '2024-05-14T18:54:57+07:00',\n    'X-SIGNATURE': 'pCA+q832pxHnTPm1Kdbfu1am37J9XFeGH13JGYqHv7Ww4Tb3Hrc5xRew+4y2tN4wiAPnHmvXcJ1Tyf94jK5gHQ==',\n    'X-PARTNER-ID': 'partner_id',\n    'X-EXTERNAL-ID': 'random_external_id',\n    'CHANNEL-ID': 'channel_id',\n    'Content-Type': 'application/json',\n    'Authorization': 'Bearer eyJhbGciOiJIUzI1NiIsInR5cCI6IkpXVCJ9.eyJpc3MiOiJEdXJpYW4gTW9uZXkiLCJleHAiOjE3MTU1OTM3NTYsImlhdCI'\n  },\n  body: JSON.stringify({\n    partnerReferenceNo: '111111111',\n    amount: {\n      value: '20000.00',\n      currency: 'IDR'\n    },\n    beneficiaryAccountName: 'Dummy Name',\n    beneficiaryAccountNo: '888801000003301',\n    beneficiaryAddress: 'Palembang',\n    beneficiaryBankCode: '002',\n    beneficiaryBankName: 'Bank BRI',\n    beneficiaryEmail: 'yories.yolanda@work.bri.co.id',\n    currency: 'IDR',\n    customerReference: '10052019',\n    sourceAccountNo: \"mer_xxxxxxx\",\n    transactionDate: '2019-07-03T12:08:56-07:00',\n    originatorInfos: [\n        {\n            originatorCustomerNo: '99901000003301',\n            originatorCustomerName: 'Iin',\n            originatorBankCode: '002'\n        }\n    ],\n    additionalInfo: {\n      deviceId: '12345679237',\n      channel: 'mobilephone',\n      originatorAdditionalInfos: {\n          originatorIdentityType: 'national_id',\n          originatorIdentityNo: '1234567890',\n          originatorCountry: 'ID',\n          originatorJob: 'company',\n          originatorDateOfBirth: '1990-01-01',\n          originatorAddress: 'jakarta',\n          originatorPlaceOfBirth: 'jakarta indonesia'\n      }\n    }\n  })\n};\n\nrequest(options, function (error, response, body) {\n  if (error) throw new Error(error);\n  console.log(body);\n});"
            },
            {
              "language": "ruby",
              "code": "require 'net/http'\nrequire 'uri'\nrequire 'json'\n\nuri = URI.parse(\"https://api.durianpay.id/v1.0/transfer-interbank\")\nrequest = Net::HTTP::Post.new(uri)\nrequest.content_type = \"application/json\"\nrequest[\"X-Timestamp\"] = \"2024-05-14T18:54:57+07:00\"\nrequest[\"X-Signature\"] = \"pCA+q832pxHnTPm1Kdbfu1am37J9XFeGH13JGYqHv7Ww4Tb3Hrc5xRew+4y2tN4wiAPnHmvXcJ1Tyf94jK5gHQ==\"\nrequest[\"X-Partner-Id\"] = \"partner_id\"\nrequest[\"X-External-Id\"] = \"random_external_id\"\nrequest[\"Channel-Id\"] = \"channel_id\"\nrequest[\"Authorization\"] = \"Bearer eyJhbGciOiJIUzI1NiIsInR5cCI6IkpXVCJ9.eyJpc3MiOiJEdXJpYW4gTW9uZXkiLCJleHAiOjE3MTU1OTM3NTYsImlhdCI\"\n\nrequest.body = {\n  \"partnerReferenceNo\" => \"111111111\",\n  \"amount\" => {\n    \"value\" => \"20000.00\",\n    \"currency\" => \"IDR\"\n  },\n  \"beneficiaryAccountName\" => \"Dummy Name\",\n  \"beneficiaryAccountNo\" => \"888801000003301\",\n  \"beneficiaryAddress\" => \"Palembang\",\n  \"beneficiaryBankCode\" => \"002\",\n  \"beneficiaryBankName\" => \"Bank BRI\",\n  \"beneficiaryEmail\" => \"yories.yolanda@work.bri.co.id\",\n  \"currency\" => \"IDR\",\n  \"customerReference\" => \"10052019\",\n  \"sourceAccountNo\" => \"mer_xxxxxxx\",\n  \"transactionDate\" => \"2019-07-03T12:08:56-07:00\",\n  \"originatorInfos\" => [\n    {\n      \"originatorCustomerNo\" => \"99901000003301\",\n      \"originatorCustomerName\" => \"Iin\",\n      \"originatorBankCode\" => \"002\"\n    }\n  ],\n  \"additionalInfo\" => {\n    \"deviceId\" => \"12345679237\",\n    \"channel\" => \"mobilephone\",\n    \"originatorAdditionalInfos\" => {\n      \"originatorIdentityType\" => \"national_id\",\n      \"originatorIdentityNo\" => \"1234567890\",\n      \"originatorCountry\" => \"ID\",\n      \"originatorJob\" => \"company\",\n      \"originatorDateOfBirth\" => \"1990-01-01\",\n      \"originatorAddress\" => \"jakarta\",\n      \"originatorPlaceOfBirth\" => \"jakarta indonesia\"\n    }\n  }\n}.to_json\n\nresponse = Net::HTTP.start(uri.hostname, uri.port, use_ssl: uri.scheme == \"https\") do |http|\n  http.request(request)\nend\n\nputs response.body"
            }
          ],
          "samples-languages": [
            "curl",
            "python",
            "java",
            "javascript",
            "ruby"
          ]
        }
      }
    }
  },
  "x-readme": {
    "headers": [],
    "explorer-enabled": true,
    "proxy-enabled": true
  },
  "x-readme-fauxas": true
}
```